(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["components-dialog-dialogdemo-module"],{

/***/ "./node_modules/raw-loader/index.js!./src/app/showcase/components/dialog/dialogdemo.html":
/*!**************************************************************************************!*\
  !*** ./node_modules/raw-loader!./src/app/showcase/components/dialog/dialogdemo.html ***!
  \**************************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = "<div class=\"content-section introduction\">\r\n    <div>\r\n        <span class=\"feature-title\">Dialog</span>\r\n        <span>Dialog is a container to display content in an overlay window.</span>\r\n    </div>\r\n</div>\r\n\r\n<div class=\"content-section implementation\">\r\n    <p-dialog header=\"Godfather I\" [(visible)]=\"display\" [modal]=\"true\" [responsive]=\"true\" [style]=\"{width: '350px', minWidth: '200px'}\" [minY]=\"70\" [maximizable]=\"true\" [baseZIndex]=\"10000\">\r\n        <p>The story begins as Don Vito Corleone, the head of a New York Mafia family, oversees his daughter's wedding. \r\n           His beloved son Michael has just come home from the war, but does not intend to become part of his father's business. \r\n           Through Michael's life the nature of the family business becomes clear. The business of the family is just like the head of the family, \r\n           kind and benevolent to those who give respect,\r\n           but given to ruthless violence whenever anything stands against the good of the family.</p>\r\n           <p-footer>\r\n               <button type=\"button\" pButton icon=\"pi pi-check\" (click)=\"display=false\" label=\"Yes\"></button>\r\n               <button type=\"button\" pButton icon=\"pi pi-times\" (click)=\"display=false\" label=\"No\" class=\"ui-button-secondary\"></button>\r\n           </p-footer>\r\n    </p-dialog>\r\n\r\n    <button type=\"button\" (click)=\"showDialog()\" pButton icon=\"pi pi-info-circle\" label=\"Show\"></button>\r\n</div>\r\n\r\n<div class=\"content-section documentation\">\r\n    <p-tabView effect=\"fade\">\r\n        <p-tabPanel header=\"Documentation\">\r\n            <h3>Import</h3>\r\n<pre>\r\n<code class=\"language-typescript\" pCode ngNonBindable>\r\nimport &#123;DialogModule&#125; from 'primeng/dialog';\r\n</code>\r\n</pre>\r\n\r\n            <h3>Getting Started</h3>\r\n            <p>Dialog is used as a container and visibility is controlled with visible property.</p>\r\n                    \r\n<pre>\r\n<code class=\"language-markup\" pCode ngNonBindable>\r\n&lt;p-dialog header=\"Title\" [(visible)]=\"display\"&gt;\r\n    Content\r\n&lt;/p-dialog&gt;\r\n\r\n&lt;button type=\"button\" (click)=\"showDialog()\" pButton icon=\"pi pi-info-circle\" label=\"Show\"&gt;&lt;/button&gt;\r\n</code>\r\n</pre>\r\n\r\n<pre>\r\n<code class=\"language-typescript\" pCode ngNonBindable>\r\nexport class ModelComponent &#123;\r\n\r\n    display: boolean = false;\r\n\r\n    showDialog() &#123;\r\n        this.display = true;\r\n    &#125;\r\n\r\n&#125;\r\n</code>\r\n</pre>\r\n\r\n            <p>By default dialog is hidden and enabling the visible property displays the dialog. As visible supports\r\n            two-way binding, hiding the dialog with close button updates the visible state as false.</p>\r\n            \r\n            <h3>Dimensions</h3>\r\n            <p>Use style property to define the dimensions of the Dialog.</p>\r\n<pre>\r\n<code class=\"language-markup\" pCode ngNonBindable>\r\n&lt;p-dialog header=\"Title\" [(visible)]=\"display\" [style]=\"&#123;width: '300px', height: '200px'&#125;\"&gt;\r\n    Content\r\n&lt;/p-dialog&gt;\r\n</code>\r\n</pre>\r\n\r\n            <h3>Header and Footer</h3>\r\n            <p>Header and Footer sections are useful to include custom content. Note that Header and Footer components should be imported and defined\r\n            at directives section of your component for this to work.</p>\r\n<pre>\r\n<code class=\"language-markup\" pCode ngNonBindable>\r\n&lt;p-dialog [(visible)]=\"display\"&gt;\r\n    &lt;p-header&gt;\r\n        Header content here\r\n    &lt;/p-header&gt;\r\n    Content\r\n    &lt;p-footer&gt;\r\n        //buttons\r\n    &lt;/p-footer&gt;\r\n&lt;/p-dialog&gt;\r\n</code>\r\n</pre>\r\n\r\n            <h3>Overlays Inside</h3>\r\n            <p>When dialog includes other components with overlays such as dropdown, the overlay part cannot exceed dialog boundaries due to overflow. In order to solve this, you can \r\n            either append the overlay to the body or allow overflow in dialog.</p>\r\n<pre>\r\n<code class=\"language-markup\" pCode ngNonBindable>\r\n&lt;p-dialog&gt;\r\n    &lt;p-dropdown appendTo=\"body\"&gt;&lt;/p-dropdown&gt;\r\n&lt;/p-dialog&gt;\r\n</code>\r\n</pre>\r\n\r\n<pre>\r\n<code class=\"language-markup\" pCode ngNonBindable>\r\n&lt;p-dialog [contentStyle]=\"&#123;'overflow':'visible'&#125;\"&gt;\r\n    &lt;p-dropdown&gt;&lt;/p-dropdown&gt;\r\n&lt;/p-dialog&gt;\r\n</code>\r\n</pre>\r\n\r\n            <h3>Dynamic Content</h3>\r\n            <p>Dynamic content may move the dialog boundaries outside of the viewport. Common solution is defining max-height at content section to let the content overflow. You may also call the center() method\r\n                of Dialog to re-center it after the content changes.</p>\r\n\r\n<pre>\r\n<code class=\"language-markup\" pCode ngNonBindable>\r\n&lt;p-dialog [contentStyle]=\"&#123;'max-height':'200px'&#125;\"&gt;\r\n    &lt;ul&gt;\r\n        &lt;li *ngFor=\"let item of items\"&gt;&#123;&#123;item&#125;&#125;&lt;li&gt;\r\n    &lt;/ul&gt;\r\n&lt;/p-dialog&gt;\r\n</code>\r\n</pre>\r\n\r\n            <h3>RTL Support</h3>\r\n            <p>RTL orientation is enabled by adding \"ui-rtl\" to an ancestor element of dialog in combination with standard dir=\"rtl\" option.</p>\r\n<pre>\r\n<code class=\"language-markup\" pCode ngNonBindable>\r\n&lt;div class=\"ui-rtl\" dir=\"rtl\"&gt;\r\n    &lt;p-dialog [(visible)]=\"display\"&gt;\r\n        &lt;p-header&gt;\r\n            Header content here\r\n        &lt;/p-header&gt;\r\n        Content\r\n        &lt;p-footer&gt;\r\n            Footer content here\r\n        &lt;/p-footer&gt;\r\n    &lt;/p-dialog&gt;\r\n&lt;/div&gt;\r\n</code>\r\n</pre>\r\n\r\n            <h3>Animation Configuration</h3>\r\n            <p>Transition of the Dialog open and hide animations can be customized using the transitionOptions property with a default value as <b>150ms cubic-bezier(0, 0, 0.2, 1)</b>, \r\n                example below disables the animation altogether.</p>\r\n<pre>\r\n<code class=\"language-markup\" pCode ngNonBindable>\r\n&lt;p-dialog [(visible)]=\"display\" [transitionOptions]=\"'0ms'\"&gt;&lt;/p-dialog&gt;\r\n</code>\r\n</pre>\r\n\r\n            <h3>Properties</h3>\r\n            <div class=\"doc-tablewrapper\">\r\n                <table class=\"doc-table\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Name</th>\r\n                            <th>Type</th>\r\n                            <th>Default</th>\r\n                            <th>Description</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        <tr>\r\n                            <td>header</td>\r\n                            <td>string</td>\r\n                            <td>null</td>\r\n                            <td>Title text of the dialog.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>draggable</td>\r\n                            <td>boolean</td>\r\n                            <td>true</td>\r\n                            <td>Enables dragging to change the position using header.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>resizable</td>\r\n                            <td>boolean</td>\r\n                            <td>true</td>\r\n                            <td>Enables resizing of the content.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>minWidth (deprecated, use style property)</td>\r\n                            <td>number</td>\r\n                            <td>auto</td>\r\n                            <td>Minimum width of a resizable dialog.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>minHeight (deprecated, use style property)</td>\r\n                            <td>number</td>\r\n                            <td>auto</td>\r\n                            <td>Minimum height of a resizable dialog.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>width (deprecated, use style property)</td>\r\n                            <td>int</td>\r\n                            <td>auto</td>\r\n                            <td>Width of the dialog.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>height (deprecated, use style property)</td>\r\n                            <td>int</td>\r\n                            <td>auto</td>\r\n                            <td>Height of the dialog.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>contentStyle</td>\r\n                            <td>object</td>\r\n                            <td>null</td>\r\n                            <td>Style of the content section.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>visible</td>\r\n                            <td>boolean</td>\r\n                            <td>false</td>\r\n                            <td>Specifies the visibility of the dialog.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>modal</td>\r\n                            <td>boolean</td>\r\n                            <td>false</td>\r\n                            <td>Defines if background should be blocked when dialog is displayed.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>blockScroll</td>\r\n                            <td>boolean</td>\r\n                            <td>false</td>\r\n                            <td>Whether background scroll should be blocked when dialog is visible.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>closeOnEscape</td>\r\n                            <td>boolean</td>\r\n                            <td>true</td>\r\n                            <td>Specifices if pressing escape key should hide the dialog.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>dismissableMask</td>\r\n                            <td>boolean</td>\r\n                            <td>false</td>\r\n                            <td>Specifices if clicking the modal background should hide the dialog.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>rtl</td>\r\n                            <td>boolean</td>\r\n                            <td>false</td>\r\n                            <td>When enabled dialog is displayed in RTL direction.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>closable</td>\r\n                            <td>boolean</td>\r\n                            <td>true</td>\r\n                            <td>Adds a close icon to the header to hide the dialog.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>responsive</td>\r\n                            <td>boolean</td>\r\n                            <td>true</td>\r\n                            <td>In responsive mode, dialog adjusts itself to screen width.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>breakpoint</td>\r\n                            <td>number</td>\r\n                            <td>640</td>\r\n                            <td>Maximum screen width to display the dialog with 100% width in responsive mode.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>appendTo</td>\r\n                            <td>any</td>\r\n                            <td>null</td>\r\n                            <td>Target element to attach the dialog, valid values are \"body\" or a local ng-template variable of another element.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>style</td>\r\n                            <td>string</td>\r\n                            <td>null</td>\r\n                            <td>Inline style of the component.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>styleClass</td>\r\n                            <td>string</td>\r\n                            <td>null</td>\r\n                            <td>Style class of the component.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>showHeader</td>\r\n                            <td>boolean</td>\r\n                            <td>true</td>\r\n                            <td>Whether to show the header or not.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>positionLeft</td>\r\n                            <td>number</td>\r\n                            <td>null</td>\r\n                            <td>Left coordinate value of the dialog.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>positionTop</td>\r\n                            <td>number</td>\r\n                            <td>null</td>\r\n                            <td>Top coordinate value of the dialog.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>baseZIndex</td>\r\n                            <td>number</td>\r\n                            <td>0</td>\r\n                            <td>Base zIndex value to use in layering.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>autoZIndex</td>\r\n                            <td>boolean</td>\r\n                            <td>true</td>\r\n                            <td>Whether to automatically manage layering.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>minX</td>\r\n                            <td>number</td>\r\n                            <td>0</td>\r\n                            <td>Minimum value for the left coordinate of dialog in dragging.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>minY</td>\r\n                            <td>number</td>\r\n                            <td>0</td>\r\n                            <td>Minimum value for the top coordinate of dialog in dragging.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>focusOnShow</td>\r\n                            <td>boolean</td>\r\n                            <td>true</td>\r\n                            <td>When enabled, first button receives focus on show.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>focusTrap</td>\r\n                            <td>boolean</td>\r\n                            <td>true</td>\r\n                            <td>When enabled, can only focus on elements inside the dialog.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>maximizable</td>\r\n                            <td>boolean</td>\r\n                            <td>false</td>\r\n                            <td>Whether the dialog can be displayed full screen.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>transitionOptions</td>\r\n                            <td>string</td>\r\n                            <td>150ms cubic-bezier(0, 0, 0.2, 1)</td>\r\n                            <td>Transition options of the animation.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>closeIcon</td>\r\n                            <td>string</td>\r\n                            <td>pi pi-times</td>\r\n                            <td>Name of the close icon.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>minimizeIcon</td>\r\n                            <td>string</td>\r\n                            <td>pi pi-window-minimize</td>\r\n                            <td>Name of the minimize icon.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>maximizeIcon</td>\r\n                            <td>string</td>\r\n                            <td>pi pi-window-maximize</td>\r\n                            <td>Name of the maximize icon.</td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n\r\n            <h3>Events</h3>\r\n            <div class=\"doc-tablewrapper\">\r\n                <table class=\"doc-table\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Name</th>\r\n                            <th>Parameters</th>\r\n                            <th>Description</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        <tr>\r\n                            <td>onShow</td>\r\n                            <td>event: Event object</td>\r\n                            <td>Callback to invoke when dialog is shown.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>onHide</td>\r\n                            <td>event: Event object</td>\r\n                            <td>Callback to invoke when dialog is hidden.</td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n\r\n            <h3>Styling</h3>\r\n            <p>Following is the list of structural style classes, for theming classes visit <a href=\"#\" [routerLink]=\"['/theming']\">theming page</a>.</p>\r\n            <div class=\"doc-tablewrapper\">\r\n                <table class=\"doc-table\">\r\n                    <thead>\r\n                        <tr>\r\n                            <th>Name</th>\r\n                            <th>Element</th>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody>\r\n                        <tr>\r\n                            <td>ui-dialog</td>\r\n                            <td>Container element</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>ui-dialog-titlebar</td>\r\n                            <td>Container of header.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>ui-dialog-title</td>\r\n                            <td>Header element.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>ui-dialog-titlebar-icon</td>\r\n                            <td>Icon container inside header.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>ui-dialog-titlebar-close</td>\r\n                            <td>Close icon element.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>ui-dialog-content</td>\r\n                            <td>Content element.</td>\r\n                        </tr>\r\n                        <tr>\r\n                            <td>ui-dialog-footer</td>\r\n                            <td>Footer element.</td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </div>\r\n\r\n            <h3>Dependencies</h3>\r\n            <p>None.</p>\r\n        </p-tabPanel>\r\n\r\n        <p-tabPanel header=\"Source\">\r\n            <a href=\"https://github.com/primefaces/primeng/tree/master/src/app/showcase/components/dialog\" class=\"btn-viewsource\" target=\"_blank\">\r\n                <i class=\"fa fa-github\"></i>\r\n                <span>View on GitHub</span>\r\n            </a>\r\n<pre>\r\n<code class=\"language-markup\" pCode ngNonBindable>\r\n&lt;p-dialog header=\"Godfather I\" [(visible)]=\"display\" [modal]=\"true\" [responsive]=\"true\" [style]=\"&#123;width: '350px', minWidth: '200px'&#125;\" [minY]=\"70\" \r\n        [maximizable]=\"true\" [baseZIndex]=\"10000\"&gt;\r\n    &lt;p&gt;The story begins as Don Vito Corleone, the head of a New York Mafia family, oversees his daughter's wedding. \r\n        His beloved son Michael has just come home from the war, but does not intend to become part of his father's business. \r\n        Through Michael's life the nature of the family business becomes clear. The business of the family is just like the head of the family, \r\n        kind and benevolent to those who give respect,\r\n        but given to ruthless violence whenever anything stands against the good of the family.&lt;/p&gt;\r\n        &lt;p-footer&gt;\r\n            &lt;button type=\"button\" pButton icon=\"pi pi-check\" (click)=\"display=false\" label=\"Yes\"&gt;&lt;/button&gt;\r\n            &lt;button type=\"button\" pButton icon=\"pi pi-close\" (click)=\"display=false\" label=\"No\" class=\"ui-button-secondary\"&gt;&lt;/button&gt;\r\n        &lt;/p-footer&gt;\r\n&lt;/p-dialog&gt;\r\n\r\n&lt;button type=\"button\" (click)=\"showDialog()\" pButton icon=\"pi pi-info-circle\" label=\"Show\"&gt;&lt;/button&gt;\r\n</code>\r\n</pre>\r\n\r\n<pre>\r\n<code class=\"language-typescript\" pCode ngNonBindable>\r\nexport class DialogDemo &#123;\r\n\r\n    display: boolean = false;\r\n\r\n    showDialog() &#123;\r\n        this.display = true;\r\n    &#125;\r\n\r\n&#125;\r\n</code>\r\n</pre>\r\n        </p-tabPanel>\r\n    </p-tabView>\r\n</div>\r\n"

/***/ }),

/***/ "./src/app/showcase/components/dialog/dialogdemo-routing.module.ts":
/*!*************************************************************************!*\
  !*** ./src/app/showcase/components/dialog/dialogdemo-routing.module.ts ***!
  \*************************************************************************/
/*! exports provided: DialogDemoRoutingModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DialogDemoRoutingModule", function() { return DialogDemoRoutingModule; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm2015/core.js");
/* harmony import */ var _angular_router__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/router */ "./node_modules/@angular/router/fesm2015/router.js");
/* harmony import */ var _dialogdemo__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./dialogdemo */ "./src/app/showcase/components/dialog/dialogdemo.ts");




let DialogDemoRoutingModule = class DialogDemoRoutingModule {
};
DialogDemoRoutingModule = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["NgModule"])({
        imports: [
            _angular_router__WEBPACK_IMPORTED_MODULE_2__["RouterModule"].forChild([
                { path: '', component: _dialogdemo__WEBPACK_IMPORTED_MODULE_3__["DialogDemo"] }
            ])
        ],
        exports: [
            _angular_router__WEBPACK_IMPORTED_MODULE_2__["RouterModule"]
        ]
    })
], DialogDemoRoutingModule);



/***/ }),

/***/ "./src/app/showcase/components/dialog/dialogdemo.module.ts":
/*!*****************************************************************!*\
  !*** ./src/app/showcase/components/dialog/dialogdemo.module.ts ***!
  \*****************************************************************/
/*! exports provided: DialogDemoModule */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DialogDemoModule", function() { return DialogDemoModule; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm2015/core.js");
/* harmony import */ var _angular_common__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/common */ "./node_modules/@angular/common/fesm2015/common.js");
/* harmony import */ var _dialogdemo__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./dialogdemo */ "./src/app/showcase/components/dialog/dialogdemo.ts");
/* harmony import */ var _dialogdemo_routing_module__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./dialogdemo-routing.module */ "./src/app/showcase/components/dialog/dialogdemo-routing.module.ts");
/* harmony import */ var _components_dialog_dialog__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../components/dialog/dialog */ "./src/app/components/dialog/dialog.ts");
/* harmony import */ var _components_button_button__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../components/button/button */ "./src/app/components/button/button.ts");
/* harmony import */ var _components_tabview_tabview__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../components/tabview/tabview */ "./src/app/components/tabview/tabview.ts");
/* harmony import */ var _components_codehighlighter_codehighlighter__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../components/codehighlighter/codehighlighter */ "./src/app/components/codehighlighter/codehighlighter.ts");









let DialogDemoModule = class DialogDemoModule {
};
DialogDemoModule = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["NgModule"])({
        imports: [
            _angular_common__WEBPACK_IMPORTED_MODULE_2__["CommonModule"],
            _dialogdemo_routing_module__WEBPACK_IMPORTED_MODULE_4__["DialogDemoRoutingModule"],
            _components_dialog_dialog__WEBPACK_IMPORTED_MODULE_5__["DialogModule"],
            _components_button_button__WEBPACK_IMPORTED_MODULE_6__["ButtonModule"],
            _components_tabview_tabview__WEBPACK_IMPORTED_MODULE_7__["TabViewModule"],
            _components_codehighlighter_codehighlighter__WEBPACK_IMPORTED_MODULE_8__["CodeHighlighterModule"]
        ],
        declarations: [
            _dialogdemo__WEBPACK_IMPORTED_MODULE_3__["DialogDemo"]
        ]
    })
], DialogDemoModule);



/***/ }),

/***/ "./src/app/showcase/components/dialog/dialogdemo.ts":
/*!**********************************************************!*\
  !*** ./src/app/showcase/components/dialog/dialogdemo.ts ***!
  \**********************************************************/
/*! exports provided: DialogDemo */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DialogDemo", function() { return DialogDemo; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm2015/core.js");


let DialogDemo = class DialogDemo {
    constructor() {
        this.display = false;
    }
    showDialog() {
        this.display = true;
    }
    hideDialog() {
        this.display = false;
    }
};
DialogDemo = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
    Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Component"])({
        template: __webpack_require__(/*! raw-loader!./dialogdemo.html */ "./node_modules/raw-loader/index.js!./src/app/showcase/components/dialog/dialogdemo.html")
    })
], DialogDemo);



/***/ })

}]);
//# sourceMappingURL=components-dialog-dialogdemo-module-es2015.js.map